lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shai Erera <ser...@gmail.com>
Subject Re: Java 5 creeped again to Benchmark?
Date Thu, 13 Aug 2009 16:06:20 GMT
Umm ... not that I'll complain, but look here:
https://issues.apache.org/jira/browse/LUCENE-1595?focusedCommentId=12711586&page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel#action_12711586

And read the comments from both of you below :).

I soooo wanted to use generics in Benchmark in that patch :).

Shai

On Thu, Aug 13, 2009 at 7:03 PM, Michael McCandless <
lucene@mikemccandless.com> wrote:

> I could go for that as well :)
>
> Mike
>
> On Thu, Aug 13, 2009 at 12:02 PM, Mark Miller<markrmiller@gmail.com>
> wrote:
> > I'd almost just say Benchmark is 1.5 now. We try to keep contrib things
> that
> > are 1.4 at 1.4, but why bend over backwards here to pull that task out?
> > Technically there is no back compat promise here.
> >
> > The number of people relying on 1.4 for Benchmark has got to be ...
> >
> >
> > Michael McCandless wrote:
> >>
> >> Sigh.  I guess we have to pull that task for 2.9.
> >>
> >> I'll reopen the original issue (LUCENE-1773), note this, and mark it
> >> as fix for 3.0.
> >>
> >> Mike
> >>
> >> On Thu, Aug 13, 2009 at 11:24 AM, Shai Erera<serera@gmail.com> wrote:
> >>
> >>>
> >>> Me too ... and you were suggesting to hold off w/ 3.0 and having 2.5
> and
> >>> then 2.9 ... :).
> >>>
> >>> What do you think I should do w/ that task in the meantime?
> >>>
> >>> Shai
> >>>
> >>> On Thu, Aug 13, 2009 at 6:21 PM, Grant Ingersoll <gsingers@apache.org>
> >>> wrote:
> >>>
> >>>>
> >>>> I _so_ can't wait to have this one off of our back for a while.  Of
> >>>> course, then we'll have 1.6 creep...  ;-)
> >>>>
> >>>> On Aug 13, 2009, at 9:15 AM, Shai Erera wrote:
> >>>>
> >>>>
> >>>>>
> >>>>> I up SVN and noticed some compilation errors in my eclipse in
> >>>>> SearchTravRetVectorHighlightTask. I added FastVectorHighlighter
to my
> >>>>> build
> >>>>> path, but it failed again because the latter is Java 1.5 compliant,
> and
> >>>>> I
> >>>>> set the compiler level to 1.4 (to comply w/ core and benchmark
> level).
> >>>>>
> >>>>> Maybe this task should be put aside until we upgrade benchmark to
> 1.5?
> >>>>>
> >>>>> Shai
> >>>>>
> >>>>
> >>>> ---------------------------------------------------------------------
> >>>> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> >>>> For additional commands, e-mail: java-dev-help@lucene.apache.org
> >>>>
> >>>>
> >>>
> >>>
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> >> For additional commands, e-mail: java-dev-help@lucene.apache.org
> >>
> >>
> >
> >
> > --
> > - Mark
> >
> > http://www.lucidimagination.com
> >
> >
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> > For additional commands, e-mail: java-dev-help@lucene.apache.org
> >
> >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-dev-help@lucene.apache.org
>
>

Mime
View raw message